#!/bin/sh

#We use a tmp file so the old $FILE still exists if snmp requests are made while spamstats is running.
#You want to keep this principle, else your graphs will most probably lack some date "sometimes"
TMPFILE=/tmp/spamstats.tmp2
FILE=/tmp/spamstats.tmp

#Set the arguments to spamstats.pl is needed. Most important is to keep the --duration=300 if your 
#cricket setup polls every 5 minutes.
/usr/local/bin/spamstats.pl -duration=300 | sed 's/n\/a/0/g' > $TMPFILE 2>/dev/null
mv $TMPFILE $FILE
